Skip to main content
GET
List a fleet's SAFER insurance filings
Provisional endpoint
This endpoint is available for early access. The core schema is stable, but minor details — such as field names or added fields — may change before it becomes generally available. Backward compatibility is not guaranteed.

See API Stability & Versioning for details on provisional endpoints.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

active_only
boolean
default:false

If true, only include filings with no cancellation_date on file (i.e. still in force).

fleet_id
string<uuid> | null

Look up the fleet using Catena's fleet ID. For your own fleet identifiers, use fleet_ref instead

fleet_ref
string | null

Look up the fleet using your organization's fleet reference identifier.

connection_id
string<uuid> | null

Look up the fleet using a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.

vehicle_id
string<uuid> | null

Look up the fleet that operates this vehicle, using Catena's vehicle ID.

vin
string | null

Look up the fleet that operates the vehicle with this VIN.

from_date
string<date> | null

Return only records on or after this date. Format: YYYY-MM-DD

to_date
string<date> | null

Return only records on or before this date. Format: YYYY-MM-DD

cursor
string | null

Cursor for the next page

size
integer
default:300

Page size

Required range: 1 <= x <= 1000

Response

Successful Response

items
SaferFleetInsuranceFilingRead · object[]
required
total
integer
required
Required range: x >= 0
current_page
string | null

Cursor to refetch the current page

current_page_backwards
string | null

Cursor to refetch the current page starting from the last item

previous_page
string | null

Cursor for the previous page

next_page
string | null

Cursor for the next page